Bug 168050 - It would be nice to be able to easily bootstrap fedora in a chroot
Summary: It would be nice to be able to easily bootstrap fedora in a chroot
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-11 17:25 UTC by Guido Trotter
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-19 18:06:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Guido Trotter 2005-09-11 17:25:50 UTC
Fedora already supports bootstrapping itself in a chroot, for example as
described in http://www.fedoraproject.org/wiki/FedoraXenQuickstart .
Unfortunately to use the procedure you need a MAKEDEV compatible with the one
shipped by fedora, and yum. It would be nice to have an easier method to
bootstrap it from inside a different linux distribution, for use with xen and
other virtualization tecniques (eg: uml, linux-vserver).

Other distribution already do this (eg, gentoo with the stage tarballs, debian
and ubuntu with "debootstrap") and I think it would be a nice enhancement for
fedora too...

Comment 1 Jeremy Katz 2005-09-19 18:06:09 UTC
The real answre here isn't going to be bootstrapping in a chroot but full
support for Xen.  In the works for FC5

Comment 2 Guido Trotter 2005-09-20 07:25:57 UTC
Not completely true... Other other distributions (eg. suse) support xen but only
have a possibility to install a new version of themselves starting from their
cotrol panel, which doesn't help if the host system is a different one.

What I'm recommending is that it should be kept simple to install Fedora even
starting from something which is not Fedora!



Note You need to log in before you can comment on or make changes to this bug.